%global git_date  20250322
%global git_hash  a1cf39a
%global git_ver  1.8.2

%global rel  4

%global src_name %{name}-%{git_date}-%{git_hash}.tar.xz


Name:           swaylock
Version:	%{git_ver}^%{git_date}g%{git_hash}
Release:	%{rel}%{?dist}
Summary:        Screen locker for Wayland
License:        MIT
URL:            https://github.com/swaywm/swaylock

Source0:	%{url}/%{src_name}

BuildRequires:  gcc
BuildRequires:  meson >= 0.48.0
BuildRequires:  pam-devel
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols) >= 1.14
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  scdoc

#Requires: swayidle

%description
swaylock is a screen locking utility for Wayland compositors. It is compatible with any Wayland compositor which implements the following Wayland protocols:

    wlr-layer-shell
    wlr-input-inhibitor
    xdg-output
    xdg-shell

%prep
%autosetup -n %{name}
#mkdir %{_target_platform}

%build
%meson
%meson_build

%install
%meson_install

%files
%license LICENSE
%doc README.md
%config %{_sysconfdir}/pam.d/swaylock
%{_mandir}/man1/sway*.1*
%{_bindir}/swaylock
%{_datadir}/bash-completion/completions/sway*
%{_datadir}/fish/vendor_completions.d/sway*
%{_datadir}/zsh/site-functions/_sway*

%changelog
%autochangelog

